> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> Retrieve a list of all available Templates.



## OpenAPI

````yaml api-reference/openapi.json get /agents/templates
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /agents/templates:
    get:
      tags:
        - /agents
      summary: List Templates
      description: Retrieve a list of all available Templates.
      operationId: list_templates_agents_templates_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTemplatesResponse'
components:
  schemas:
    ListTemplatesResponse:
      properties:
        templates:
          items:
            type: string
          type: array
          title: Templates
          description: List of available templates.
          default: []
      type: object
      title: ListTemplatesResponse
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````